%define mpfpxmaj	0
%define libmajor	1
%define libmpfpx	%mklibname mpfpx %{mpfpxmaj}
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Ring class fields of imaginary quadratic number fields and of elliptic curves
Name:		cm
Version:	0.3
Release:	%mkrel 10
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.multiprecision.org/%{name}
Source0:	http://www.multiprecision.org/downloads/%{name}-%{version}.tar.gz
Patch0:		cm-0.2-link.patch
BuildRequires:	libgmp-devel >= 4.3.2
BuildRequires:	pkgconfig(mpfr) >= 2.4.2
BuildRequires:	libmpc-devel >= 0.8.2
BuildRequires:	mpfrcx-devel >= 0.4
BuildRequires:	pari-devel >= 2.5.1
BuildRequires:	ntl-devel
BuildRequires:	pkgconfig(zlib)

%description
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libmpfpx}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries
Conflicts:	%{_lib}cm1 < 0.3-4

%description	-n %{libmpfpx}
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for CM
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for CM.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure			\
	--enable-shared		\
	--disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

# Disable tests on arm for now
%ifarch %{ix86} x86_64
%check
make check
%endif

%files
%{_bindir}/classpol
%{_bindir}/cm
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/libcm*.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/cm*.h
%{_infodir}/cm.info*
%{_libdir}/libcm*.so
%{_includedir}/mp*.h
%{_libdir}/libmp*.so

%files -n %{libmpfpx}
%{_libdir}/libmpfpx.so.%{mpfpxmaj}{,.*}



%changelog
* Thu Nov 19 2020 daviddavid <daviddavid> 0.3-10.mga8
+ Revision: 1647625
- rebuild for new pari 2.13.0

* Wed Feb 12 2020 umeabot <umeabot> 0.3-9.mga8
+ Revision: 1511455
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.3-8.mga7
+ Revision: 1296616
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 0.3-7.mga7
+ Revision: 1256643
- remove unused deps on info-install

* Thu Aug 23 2018 daviddavid <daviddavid> 0.3-6.mga7
+ Revision: 1253599
- rebuild for new pari 2.11.0

* Sat Apr 14 2018 kekepower <kekepower> 0.3-5.mga7
+ Revision: 1218622
- Rebuild for new pari

* Tue Feb 20 2018 kekepower <kekepower> 0.3-4.mga7
+ Revision: 1203807
- Put the Conflicts in the right place

* Tue Feb 20 2018 kekepower <kekepower> 0.3-3.mga7
+ Revision: 1203799
- Disable tests on ARM for now

* Tue Feb 20 2018 kekepower <kekepower> 0.3-2.mga7
+ Revision: 1203753
- Separate the mpfpx lib into its own package

* Tue Feb 20 2018 kekepower <kekepower> 0.3-1.mga7
+ Revision: 1203576
- Update to version 0.3

* Sat Feb 20 2016 umeabot <umeabot> 0.2-9.mga6
+ Revision: 972430
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 neoclust <neoclust> 0.2-8.mga6
+ Revision: 897731
- Rebuild to make availaable on ARM

* Wed Oct 15 2014 umeabot <umeabot> 0.2-7.mga5
+ Revision: 740828
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.2-6.mga5
+ Revision: 693649
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.2-5.mga5
+ Revision: 678448
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 daviddavid <daviddavid> 0.2-4.mga5
+ Revision: 665622
- fix patch path to use %%apply_patches macro
- minor cosmetic change
- rebuild for new pari

* Fri Oct 18 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 503401
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 347949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 fwang <fwang> 0.2-1.mga3
+ Revision: 303307
- update file list
- more linkage fix
- fix linkage
- new version 0.2
+ blino <blino>
- rebuild to get info pages as xz instead of lzma

* Tue Feb 01 2011 dmorgan <dmorgan> 0.1-4.mga1
+ Revision: 45713
- imported package cm


* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.1-4mdv2011.0
+ Revision: 634375
- fix build with latest mpfrx

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2011.0
+ Revision: 610146
- rebuild

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.1-2mdv2010.1
+ Revision: 503616
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.1-1mdv2010.1
+ Revision: 489917
- Import CM version 0.1.
- cm

